import { ModuleWithProviders } from '@angular/core';
import { MatomoOptOutFormComponent } from './directives/matomo-opt-out-form.component';
import { MatomoTrackClickDirective } from './directives/matomo-track-click.directive';
import { MatomoTrackerDirective } from './directives/matomo-tracker.directive';
import { MatomoConfiguration } from './tracker/configuration';
import { MatomoScriptFactory } from './tracker/script-factory';
import * as i0 from "@angular/core";
import * as i1 from "./directives/matomo-tracker.directive";
import * as i2 from "./directives/matomo-track-click.directive";
import * as i3 from "./directives/matomo-opt-out-form.component";
export declare const MATOMO_DIRECTIVES: readonly [typeof MatomoTrackerDirective, typeof MatomoTrackClickDirective, typeof MatomoOptOutFormComponent];
export declare class MatomoModule {
    static forRoot(config: MatomoConfiguration, scriptFactory?: MatomoScriptFactory): ModuleWithProviders<MatomoModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatomoModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MatomoModule, never, [typeof i1.MatomoTrackerDirective, typeof i2.MatomoTrackClickDirective, typeof i3.MatomoOptOutFormComponent], [typeof i1.MatomoTrackerDirective, typeof i2.MatomoTrackClickDirective, typeof i3.MatomoOptOutFormComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MatomoModule>;
}
/**
 * @deprecated use MatomoModule instead
 * @breaking-change 8.0.0
 */
export declare class NgxMatomoModule {
    static forRoot(config: MatomoConfiguration, scriptFactory?: MatomoScriptFactory): ModuleWithProviders<NgxMatomoModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatomoModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxMatomoModule, never, [typeof MatomoModule], [typeof MatomoModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxMatomoModule>;
}
/**
 * @deprecated use MatomoModule instead
 * @breaking-change 8.0.0
 */
export declare class NgxMatomoTrackerModule {
    static forRoot(config: MatomoConfiguration, scriptFactory?: MatomoScriptFactory): ModuleWithProviders<NgxMatomoTrackerModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMatomoTrackerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxMatomoTrackerModule, never, [typeof NgxMatomoModule], [typeof NgxMatomoModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxMatomoTrackerModule>;
}
