import { Provider } from '@angular/core';
import { InternalMatomoTrackerType } from '../tracker/internal-matomo-tracker.service';
import { PrefixedType } from '../utils/types';
import * as i0 from "@angular/core";
export declare function provideTestingTracker(): Provider[];
export declare class MatomoTestingTracker<MATOMO = unknown, PREFIX extends string = ''> implements InternalMatomoTrackerType {
    private readonly initStatus;
    /** Get list of all calls until initialization */
    callsOnInit: unknown[][];
    /** Get list of all calls after initialization */
    callsAfterInit: unknown[][];
    /** Get a copy of all calls since application startup */
    get calls(): unknown[];
    countCallsAfterInit(command: string): number;
    reset(): void;
    /** Asynchronously call provided method name on matomo tracker instance */
    get<K extends keyof PrefixedType<MATOMO, PREFIX>>(_: K): Promise<never>;
    push(arg: unknown[]): void;
    pushFn<T>(_: (matomo: PrefixedType<MATOMO, PREFIX>) => T): Promise<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatomoTestingTracker<any, any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MatomoTestingTracker<any, any>>;
}
