import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export interface MatomoFormAnalyticsInstance {
    isFormAnalyticsEnabled(): boolean;
    disableFormAnalytics(): void;
    setTrackingTimer(delayInMilliSeconds: number): void;
}
export declare class MatomoFormAnalytics {
    private readonly delegate;
    disableFormAnalytics(): void;
    enableFormAnalytics(): void;
    enableDebugMode(): void;
    setTrackingTimer(delayInMilliSeconds: number): void;
    scanForForms(root?: Element | ElementRef): void;
    trackForm(formElement: Element | ElementRef): void;
    trackFormSubmit(formElement: Element | ElementRef): void;
    trackFormConversion(formElementOrName: Element | ElementRef | string, formId?: string): void;
    isFormAnalyticsEnabled(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatomoFormAnalytics, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MatomoFormAnalytics>;
}
