import { Router } from '@angular/router';
import { MatomoTracker } from 'ngx-matomo-client/core';
import { InternalRouterConfiguration } from './configuration';
import { MatomoRouterInterceptor } from './interceptor';
import { PageTitleProvider } from './page-title-providers';
import { PageUrlProvider } from './page-url-provider';
import * as i0 from "@angular/core";
export declare class MatomoRouter {
    private readonly router;
    private readonly platformId;
    private readonly config;
    private readonly pageTitleProvider;
    private readonly pageUrlProvider;
    private readonly tracker;
    private readonly interceptors;
    constructor(router: Router, platformId: object, config: InternalRouterConfiguration, pageTitleProvider: PageTitleProvider, pageUrlProvider: PageUrlProvider, tracker: MatomoTracker, interceptors: MatomoRouterInterceptor[] | null);
    /** @deprecated use {@link initialize initialize()} instead */
    init(): void;
    readonly initialize: () => void;
    private callInterceptors;
    private presetPageTitleAndUrl;
    private trackPageView;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatomoRouter, [null, null, null, null, null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MatomoRouter>;
}
